%define typescript_version     3.6.4
%define nodejs_version         10.15.3
%define nodejs_next_version    11.0.0
%define instDir                /usr/lib/


Name:       oci-typescript-sdk		
Version:	1.15.1
Release: 1.el7
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure SDK for Typescript and JavaScript
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-typescript-sdk
Source0:	%{name}-%{version}.tar.bz2
Patch0:     tsconfig.json.patch
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
BuildRequires:	nodejs < %{nodejs_next_version} 
Requires:	nodejs >= %{nodejs_version} 
Requires:	nodejs < %{nodejs_next_version} 
Requires:	typescript >= %{typescript_version} 


%description
The oci-typescript-sdk provides Oracle Cloud Infrastructure SDK for Typescript and Javascript 
that you can use to manage your Oracle Cloud Infrastructure resources.
 
%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm cache clean --force
npm config set prefix ./global 
npm install oci-sdk@%{version} -g

%check 
#make unit-ttest

%install
mkdir -p %{buildroot}/usr
cp -rf  global/lib %{buildroot}/usr

%files
%{instDir}/node_modules/*
%doc *.txt *.md examples/


%changelog
* Wed Feb 17 2021 EL Errata <el-errata_ww@oracle.com> 1.15.1-1
- Update to 1.15.1

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 1.14.0-1
- Update to 1.14.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 1.13.0-1
- Update to 1.13.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 1.9.1-1
- Update to 1.9.1

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 1.9.0-1
- Update to 1.9.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 1.8.0-1
- Update to 1.8.0

* Mon Nov 16 2020 Qing Lin <qing.lin@oracle.com> 1.7.0-1.0.1
- Change the dependencies on nodejs to equal 10.15.3

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.6.3-1
- Update to 1.6.3

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.6.2-1
- Update to 1.6.2

* Thu Oct 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.6.1
- Update to 1.6.1 for Oracle build

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> - 1.6.0
- Initial RPM release. 

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> - 1.5.6
- Initial build. Pack it from npm. 

